diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/handler/e4/OpenDistributionStatusWizardAdminHandler.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/handler/e4/OpenDistributionStatusWizardAdminHandler.java
index cd8b58634..1c52598f2 100755
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/handler/e4/OpenDistributionStatusWizardAdminHandler.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/handler/e4/OpenDistributionStatusWizardAdminHandler.java
@@ -23,7 +23,7 @@ import eu.etaxonomy.taxeditor.preference.wizard.AvailableDistributionStatusWizar
  *
  */
 public class OpenDistributionStatusWizardAdminHandler {
-    String commandID = "eu.etaxonomy.taxeditor.handler.e4.OpenDistributionStatusWizardAdminHandler";
+    String commandID = "eu.etaxonomy.taxeditor.handler.e4.OpenDistributionEditorWizardAdminHandlerE4";
 
     @Execute
     public void execute(@Named(IServiceConstants.ACTIVE_SHELL)Shell shell) {
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/handler/e4/OpenDistributionStatusWizardHandler.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/handler/e4/OpenDistributionStatusWizardHandler.java
new file mode 100755
index 000000000..ff64bc506
--- /dev/null
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/handler/e4/OpenDistributionStatusWizardHandler.java
@@ -0,0 +1,38 @@
+/**
+* Copyright (C) 2018 EDIT
+* European Distributed Institute of Taxonomy
+* http://www.e-taxonomy.eu
+*
+* The contents of this file are subject to the Mozilla Public License Version 1.1
+* See LICENSE.TXT at the top of this package for the full license terms.
+*/
+package eu.etaxonomy.taxeditor.handler.e4;
+
+import javax.inject.Named;
+
+import org.eclipse.e4.core.di.annotations.Execute;
+import org.eclipse.e4.ui.services.IServiceConstants;
+import org.eclipse.jface.wizard.WizardDialog;
+import org.eclipse.swt.widgets.Shell;
+
+import eu.etaxonomy.taxeditor.preference.wizard.AvailableDistributionStatusWizard;
+
+/**
+ * @author k.luther
+ * @since 19.11.2018
+ *
+ */
+public class OpenDistributionStatusWizardHandler {
+    String commandID = "eu.etaxonomy.taxeditor.handler.e4.OpenDistributionStatusWizardHandler";
+
+    @Execute
+    public void execute(@Named(IServiceConstants.ACTIVE_SHELL)Shell shell) {
+
+        AvailableDistributionStatusWizard wizard = new AvailableDistributionStatusWizard();
+
+        WizardDialog dialog = new WizardDialog(shell,
+                wizard);
+
+        dialog.open();
+    }
+}
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/io/e4/in/abcd/AbcdImportWizardE4.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/io/e4/in/abcd/AbcdImportWizardE4.java
index 623a9e5ac..4f463c530 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/io/e4/in/abcd/AbcdImportWizardE4.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/io/e4/in/abcd/AbcdImportWizardE4.java
@@ -68,7 +68,7 @@ public class AbcdImportWizardE4 extends AbstractImportWizardE4<Abcd206ImportConf
 	/** {@inheritDoc} */
 	@Override
     public void init() {
-		configurator =  PreferencesUtil.getAbcdImportConfigurationPreference();
+		configurator =  PreferencesUtil.getLocalAbcdImportConfigurator();
 	}
 
 	@Override
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/io/wizard/AbcdImportConfiguratorWizardPage.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/io/wizard/AbcdImportConfiguratorWizardPage.java
index b2a1477fe..41611f863 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/io/wizard/AbcdImportConfiguratorWizardPage.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/io/wizard/AbcdImportConfiguratorWizardPage.java
@@ -250,6 +250,16 @@ public class AbcdImportConfiguratorWizardPage extends AbstractPreferenceWizard i
 
         // TODO remember last selection
         nomenclaturalCodeSelectionCombo.addSelectionListener(this);
+        int index = 0;
+        if (abcdImportConfigurator.getNomenclaturalCode() != null){
+            for (String label : nomenclaturalCodeSelectionCombo.getItems()){
+                if (label.equals(abcdImportConfigurator.getNomenclaturalCode().getKey())){
+                    nomenclaturalCodeSelectionCombo.select(index);
+                }
+                index++;
+            }
+        }
+
 		setControl(composite);
 	}
 
@@ -268,6 +278,8 @@ public class AbcdImportConfiguratorWizardPage extends AbstractPreferenceWizard i
                     abcdImportConfigurator.isAllowReuseOtherClassifications());
 	        PreferencesUtil.setBooleanValue(IPreferenceKeys.ABCD_IMPORT_CONFIGURATOR_DEDUPLICATE_CLASSIFICATIONS,
                     abcdImportConfigurator.isDeduplicateClassifications());
+	        PreferencesUtil.setBooleanValue(IPreferenceKeys.ABCD_IMPORT_CONFIGURATOR_REMOVE_COUNTRY_FROM_LOCALITY_TEXT,
+                    abcdImportConfigurator.isRemoveCountryFromLocalityText());
 	        PreferencesUtil.setBooleanValue(IPreferenceKeys.ABCD_IMPORT_CONFIGURATOR_DEDUPLICATE_REFERENCES,
                     abcdImportConfigurator.isDeduplicateReferences());
 	        PreferencesUtil.setBooleanValue(IPreferenceKeys.ABCD_IMPORT_CONFIGURATOR_DO_SIBLINGS,
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/io/wizard/AbcdImportWizard.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/io/wizard/AbcdImportWizard.java
index 82f1ead1c..3ffd67a06 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/io/wizard/AbcdImportWizard.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/io/wizard/AbcdImportWizard.java
@@ -62,7 +62,7 @@ public class AbcdImportWizard extends AbstractImportWizard<Abcd206ImportConfigur
 	@Override
     public void init(IWorkbench workbench, IStructuredSelection selection) {
 		super.init(workbench, selection);
-		configurator =  PreferencesUtil.getAbcdImportConfigurationPreference();
+		configurator =  PreferencesUtil.getLocalAbcdImportConfigurator();
 	}
 
 	@Override
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/l10n/Messages.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/l10n/Messages.java
index 3ce93cd05..3338a4f57 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/l10n/Messages.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/l10n/Messages.java
@@ -677,7 +677,7 @@ public class Messages extends NLS {
 
     public static String ChecklistEditorGeneralPreference_Configure_display_of_Areas;
 
-
+    public static String ChecklistEditorGeneralPreference_Configure_display_of_Status;
 
 
     public static String ChecklistEditorGeneralPreference_STATUS_DISPLAY_TEXT;
@@ -688,6 +688,7 @@ public class Messages extends NLS {
 
 
 
+
     public static String VokabularyAdminPreferences_SELECT_VOCABULARY_TEXT;
 
 
@@ -695,6 +696,11 @@ public class Messages extends NLS {
 
 
 
+
+
+
+
+
     static {
         // initialize resource bundle
         NLS.initializeMessages(BUNDLE_NAME, Messages.class);
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/preference/ChecklistEditorGeneralPreference.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/preference/ChecklistEditorGeneralPreference.java
index 5f250a7c8..540908b21 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/preference/ChecklistEditorGeneralPreference.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/preference/ChecklistEditorGeneralPreference.java
@@ -12,8 +12,11 @@ import org.eclipse.swt.SWT;
 import org.eclipse.swt.custom.CLabel;
 import org.eclipse.swt.events.SelectionAdapter;
 import org.eclipse.swt.events.SelectionEvent;
+import org.eclipse.swt.events.SelectionListener;
+import org.eclipse.swt.layout.GridData;
 import org.eclipse.swt.layout.GridLayout;
 import org.eclipse.swt.widgets.Button;
+import org.eclipse.swt.widgets.Combo;
 import org.eclipse.swt.widgets.Composite;
 import org.eclipse.swt.widgets.Control;
 import org.eclipse.swt.widgets.Label;
@@ -22,7 +25,6 @@ import eu.etaxonomy.cdm.model.metadata.CdmPreference;
 import eu.etaxonomy.cdm.model.metadata.PreferencePredicate;
 import eu.etaxonomy.taxeditor.l10n.Messages;
 import eu.etaxonomy.taxeditor.preference.menu.CdmPreferencePage;
-import eu.etaxonomy.taxeditor.store.CdmStore;
 import eu.etaxonomy.taxeditor.ui.element.CommandHandlerButton;
 
 /**
@@ -30,19 +32,29 @@ import eu.etaxonomy.taxeditor.ui.element.CommandHandlerButton;
  * @date 21.07.2014
  *
  */
-public class ChecklistEditorGeneralPreference extends CdmPreferencePage {
+public class ChecklistEditorGeneralPreference extends CdmPreferencePage implements SelectionListener {
 
-    boolean isEditorActivated;
+    protected boolean isEditorActivated;
+    protected boolean allowOverrideActivated;
     boolean isUseLocal;
-    boolean isShowRank;
-    boolean isSortByVocabularyOrder;
-    boolean isShowSymbol;
-    boolean isShowIdInVocabulary;
-    boolean isShowSymbol1;
-    boolean isShowSymbol2;
-    boolean isShowTitle;
+    protected boolean isShowRank;
+    protected boolean isSortByVocabularyOrder;
+    protected String displayStatus;
+    protected String displayArea;
+    protected boolean allowOverrideStatus;
+    protected boolean allowOverrideRank;
+    protected boolean allowOverrideOrderAreas;
+    protected boolean allowOverrideAreaDisplay;
+    protected boolean allowOverrideStatusDisplay;
+    Combo statusDisplaySelectionCombo;
+    Combo areaDisplaySelectionCombo;
+
+    protected String commandHandlerString;
+    protected String commandHandlerStringStatus;
+
+    protected CdmPreference distributionEditorPref;
     Composite child ;
-    boolean isAllowOverride;
+    protected boolean isAllowOverride;
 
     @Override
     protected Control createContents(Composite parent) {
@@ -50,19 +62,11 @@ public class ChecklistEditorGeneralPreference extends CdmPreferencePage {
         Composite composite = new Composite(parent, SWT.NULL);
         composite.setLayout(new GridLayout());
 
-        CdmPreference distributionEditorPref = PreferencesUtil.getPreferenceFromDB(PreferencePredicate.DistributionEditorActivated);
-        isAllowOverride = false;
-            if (distributionEditorPref != null){
-                isAllowOverride = distributionEditorPref.isAllowOverride();
-            }else{
-                isAllowOverride = true;
-            }
-
 
-            if (isAllowOverride){
-            isEditorActivated = PreferencesUtil.getBooleanValue(IPreferenceKeys.DISTRIBUTION_AREA_PREFRENCES_ACTIVE);
-            final Button activateCheckButton = new Button(composite, SWT.CHECK);
-            activateCheckButton.setText("Enable Distribution Editor");
+        if (isAllowOverride || isAdminPreference){
+            Composite activateComp = createComposite(composite);
+            final Button activateCheckButton = new Button(activateComp, SWT.CHECK);
+            activateCheckButton.setText(Messages.ChecklistEditorGeneralPreference_enable);
             activateCheckButton.setSelection(isEditorActivated);
             activateCheckButton.addSelectionListener(new SelectionAdapter(){
                 @Override
@@ -80,85 +84,38 @@ public class ChecklistEditorGeneralPreference extends CdmPreferencePage {
                 }
             });
 
-            child  = new Composite(composite, SWT.NULL);
-            child.setLayout(new GridLayout());
-            child.setVisible(isEditorActivated);
-            final CLabel label = new CLabel(child, SWT.NULL);
-            label.setText("Please open the wizard below, in order to \n" + "choose the area vocabularies for the Distribution Editor");
-            final CommandHandlerButton button_openFeatureTree = new CommandHandlerButton(child, SWT.PUSH,
-                    "eu.etaxonomy.taxeditor.store.open.OpenDistributionEditorWizardHandler");
-
-            button_openFeatureTree.setText("Select Areas");
-
-            final CLabel description = new CLabel(child, SWT.NULL);
-            description.setText(Messages.ChecklistEditorGeneralPreference_Configure_display_of_Areas);
-
-            final Button showIdInVocabulary = new Button(child, SWT.RADIO);
-            isShowIdInVocabulary = PreferencesUtil.isShowIdInVocabularyInChecklistEditor();
-            showIdInVocabulary.setText("Show Id in Vocabulary instead of full title of the areas");
-            showIdInVocabulary.setSelection(isShowIdInVocabulary);
-            showIdInVocabulary.addSelectionListener(new SelectionAdapter(){
-                @Override
-                public void widgetSelected(SelectionEvent e) {
-                    isShowIdInVocabulary = showIdInVocabulary.getSelection();
-
-                 }
-            });
-
-
-            final Button showSymbol1 = new Button(child, SWT.RADIO);
-            isShowSymbol1 = PreferencesUtil.isShowSymbol1InChecklistEditor();
-
-            showSymbol1.setText(Messages.ChecklistEditorGeneralPreference_show_symbol1);
-            showSymbol1.setSelection(isShowSymbol1);
-            showSymbol1.addSelectionListener(new SelectionAdapter(){
-                @Override
-                public void widgetSelected(SelectionEvent e) {
-                    isShowSymbol1 = showSymbol1.getSelection();
-
-                 }
-            });
-            final Button showSymbol2 = new Button(child, SWT.RADIO);
-            isShowSymbol2 = PreferencesUtil.isShowSymbol2InChecklistEditor();
+            if (isAdminPreference){
+                Button allowOverrideActivatedButton = createAllowOverrideButton(activateComp);
+                allowOverrideActivatedButton.setSelection(allowOverrideActivated);
 
-            showSymbol2.setText(Messages.ChecklistEditorGeneralPreference_show_symbol2);
-            showSymbol2.setSelection(isShowSymbol2);
-            showSymbol2.addSelectionListener(new SelectionAdapter(){
-                @Override
-                public void widgetSelected(SelectionEvent e) {
-                    isShowSymbol2 = showSymbol2.getSelection();
+                allowOverrideActivatedButton.addSelectionListener(new SelectionAdapter(){
+                    @Override
+                    public void widgetSelected(SelectionEvent e) {
+                        allowOverrideActivated = allowOverrideActivatedButton.getSelection();
+                    }
+                });
+            }
 
-                 }
-            });
 
-            final Button showTitle = new Button(child, SWT.RADIO);
-            isShowTitle = !(isShowIdInVocabulary || isShowSymbol1 || isShowSymbol2);
+            child  = createComposite(composite);
 
-            showTitle.setText(Messages.ChecklistEditorGeneralPreference_show_title);
-            showTitle.setSelection(isShowTitle);
-            showTitle.addSelectionListener(new SelectionAdapter(){
-                @Override
-                public void widgetSelected(SelectionEvent e) {
-                    isShowTitle = showTitle.getSelection();
+            child.setVisible(isEditorActivated);
+            Label separator= new Label(child, SWT.HORIZONTAL | SWT.SEPARATOR);
+            GridData sepGrid = new GridData(GridData.FILL_HORIZONTAL);
+            if (isAdminPreference){
+                sepGrid.horizontalSpan = 2;
+            }
 
-                 }
-            });
+            GridData textGrid = new GridData(GridData.FILL_HORIZONTAL);
+            if (isAdminPreference){
+                textGrid.horizontalSpan = 2;
+            }
+            textGrid.verticalSpan = 2;
+            separator.setLayoutData(sepGrid);
 
 
-            final Button showSymbol = new Button(child, SWT.CHECK);
-            isShowSymbol = PreferencesUtil.isShowSymbolInChecklistEditor();
-            showSymbol.setText("Show Symbol of the Status, if existing");
-            showSymbol.setSelection(isShowSymbol);
-            showSymbol.addSelectionListener(new SelectionAdapter(){
-                @Override
-                public void widgetSelected(SelectionEvent e) {
-                    isShowSymbol = showSymbol.getSelection();
-                 }
-            });
-            PreferencesUtil.recursiveSetEnabled(button_openFeatureTree, CdmStore.isActive());
-            isShowRank = PreferencesUtil.isShowRankInChecklistEditor();
             final Button activateRankButton = new Button(child, SWT.CHECK);
-            activateRankButton.setText("Show Rank in Distribution Editor");
+            activateRankButton.setText(Messages.ChecklistEditorGeneralPreference_show_rank);
             activateRankButton.setSelection(isShowRank);
             activateRankButton.addSelectionListener(new SelectionAdapter(){
                 @Override
@@ -166,9 +123,26 @@ public class ChecklistEditorGeneralPreference extends CdmPreferencePage {
                     isShowRank = activateRankButton.getSelection();
                 }
             });
+
+            if (isAdminPreference){
+                Button allowOverrideRankButton = createAllowOverrideButton(child);
+                allowOverrideRankButton.setSelection(allowOverrideRank);
+
+                allowOverrideRankButton.addSelectionListener(new SelectionAdapter(){
+                    @Override
+                    public void widgetSelected(SelectionEvent e) {
+                        allowOverrideRank = allowOverrideRankButton.getSelection();
+                    }
+                });
+            }else{
+                if (!allowOverrideRank){
+                    activateRankButton.setEnabled(false);
+                }
+            }
+
+
             final Button sortNamedAreaByVocabularyOrder = new Button(child, SWT.CHECK);
-            isSortByVocabularyOrder = PreferencesUtil.isSortNamedAreaByOrderInVocabulary();
-            sortNamedAreaByVocabularyOrder.setText("Sort Areas by Order in Vocabulary");
+            sortNamedAreaByVocabularyOrder.setText(Messages.ChecklistEditorGeneralPreference_sort_areas);
             sortNamedAreaByVocabularyOrder.setSelection(isSortByVocabularyOrder);
             sortNamedAreaByVocabularyOrder.addSelectionListener(new SelectionAdapter(){
                 @Override
@@ -177,6 +151,139 @@ public class ChecklistEditorGeneralPreference extends CdmPreferencePage {
                  }
             });
 
+            if (isAdminPreference){
+                Button allowOverrideOrderAreasButton = createAllowOverrideButton(child);
+                allowOverrideOrderAreasButton.setSelection(allowOverrideOrderAreas);
+
+                allowOverrideOrderAreasButton.addSelectionListener(new SelectionAdapter(){
+                    @Override
+                    public void widgetSelected(SelectionEvent e) {
+                        allowOverrideOrderAreas = allowOverrideOrderAreasButton.getSelection();
+                    }
+                });
+            }else{
+                if (!allowOverrideOrderAreas){
+                    sortNamedAreaByVocabularyOrder.setEnabled(false);
+                }
+            }
+
+            separator= new Label(child, SWT.HORIZONTAL | SWT.SEPARATOR);
+            separator.setLayoutData(sepGrid);
+
+//            final CLabel label = new CLabel(child, SWT.NULL);
+//            label.setText(Messages.ChecklistEditorGeneralPreference_open_wizard);
+//            label.setLayoutData(textGrid);
+//
+//
+//            final CommandHandlerButton button_openSelectAreas = new CommandHandlerButton(child, SWT.PUSH,
+//                    commandHandlerString);
+//
+//            button_openSelectAreas.setText(Messages.ChecklistEditorGeneralPreference_open_distribution_selection);
+//
+//            if (isAdminPreference){
+//                createAllowOverrideButton(child);
+//            }
+
+
+            final CLabel description = new CLabel(child, SWT.NULL);
+            description.setText(Messages.ChecklistEditorGeneralPreference_Configure_display_of_Areas);
+            description.setLayoutData(textGrid);
+
+            GridData gridData = new GridData();
+            gridData = new GridData(GridData.BEGINNING, GridData.CENTER, true, false);
+            //gridData.horizontalIndent = 5;
+
+
+            areaDisplaySelectionCombo = new Combo(child, SWT.BORDER| SWT.READ_ONLY);
+            areaDisplaySelectionCombo.setLayoutData(gridData);
+
+            for(TermDisplayEnum display: TermDisplayEnum.values()){
+                areaDisplaySelectionCombo.add(display.getLabel());
+            }
+            int index = 0;
+            if (PreferencesUtil.getStringValue(IPreferenceKeys.CHECKLIST_AREA_DISPLAY) != null){
+                TermDisplayEnum areaDisplay = TermDisplayEnum.valueOf(displayArea);
+                for (String itemLabel : areaDisplaySelectionCombo.getItems()){
+                    if (itemLabel.equalsIgnoreCase(areaDisplay.getLabel())){
+                        areaDisplaySelectionCombo.select(index);
+                        break;
+                    }
+                    index++;
+                }
+            }
+            areaDisplaySelectionCombo.addSelectionListener(this);
+
+            if (isAdminPreference){
+                Button allowOverrideOrderAreaDisplayButton = createAllowOverrideButton(child);
+                allowOverrideOrderAreaDisplayButton.setSelection(allowOverrideAreaDisplay);
+
+                allowOverrideOrderAreaDisplayButton.addSelectionListener(new SelectionAdapter(){
+                    @Override
+                    public void widgetSelected(SelectionEvent e) {
+                        allowOverrideAreaDisplay = allowOverrideOrderAreaDisplayButton.getSelection();
+                    }
+                });
+            }else{
+                if (!allowOverrideAreaDisplay){
+                    areaDisplaySelectionCombo.setEnabled(false);
+                }
+            }
+
+            final CLabel descriptionStatus = new CLabel(child, SWT.NULL);
+            descriptionStatus.setText(Messages.ChecklistEditorGeneralPreference_Configure_display_of_Status);
+            descriptionStatus.setLayoutData(textGrid);
+
+
+
+            statusDisplaySelectionCombo = new Combo(child, SWT.BORDER| SWT.READ_ONLY);
+            statusDisplaySelectionCombo.setLayoutData(gridData);
+
+            for(TermDisplayEnum display: TermDisplayEnum.values()){
+                statusDisplaySelectionCombo.add(display.getLabel());
+            }
+            index = 0;
+            if (PreferencesUtil.displayStatusInChecklistEditor() != null){
+                TermDisplayEnum statusDisplay = TermDisplayEnum.valueOf(displayStatus);
+                for (String itemLabel : areaDisplaySelectionCombo.getItems()){
+                    if (itemLabel.equalsIgnoreCase(statusDisplay.getLabel())){
+                        statusDisplaySelectionCombo.select(index);
+                        break;
+                    }
+                    index++;
+                }
+            }
+
+            statusDisplaySelectionCombo.addSelectionListener(this);
+            if (isAdminPreference){
+                Button allowOverrideOrderStatusDisplayButton = createAllowOverrideButton(child);
+                allowOverrideOrderStatusDisplayButton.setSelection(allowOverrideStatusDisplay);
+
+                allowOverrideOrderStatusDisplayButton.addSelectionListener(new SelectionAdapter(){
+                    @Override
+                    public void widgetSelected(SelectionEvent e) {
+                        allowOverrideStatusDisplay = allowOverrideOrderStatusDisplayButton.getSelection();
+                    }
+                });
+            }else{
+                if (!allowOverrideStatusDisplay){
+                    statusDisplaySelectionCombo.setEnabled(false);
+                }
+            }
+
+            if (isAdminPreference){
+                final CLabel labelStatus = new CLabel(child, SWT.NULL);
+                labelStatus.setText(Messages.DistributionAdminPreferences_SELECT_STATUS);
+                labelStatus.setLayoutData(textGrid);
+
+                final CommandHandlerButton button_openStatusWizard = new CommandHandlerButton(child, SWT.PUSH,
+                        commandHandlerStringStatus); //$NON-NLS-1$
+
+                button_openStatusWizard.setText(Messages.Distribution_status_selection);
+
+            }
+
+           // PreferencesUtil.recursiveSetEnabled(child, CdmStore.isActive());
+
             if(isEditorActivated){
                 child.setEnabled(true);
             }else{
@@ -191,26 +298,143 @@ public class ChecklistEditorGeneralPreference extends CdmPreferencePage {
         return composite;
     }
 
+
+
+    private Button createAllowOverrideButton(Composite activateComp) {
+        final Button allowOverrideCheckButton = new Button(activateComp, SWT.CHECK);
+        allowOverrideCheckButton.setText(Messages.ChecklistEditorGeneralPreference_allowOverride);
+        return allowOverrideCheckButton;
+    }
+
     @Override
     public boolean performOk() {
         if (isAllowOverride){
             PreferencesUtil.setBooleanValue(IPreferenceKeys.DISTRIBUTION_AREA_PREFRENCES_ACTIVE, isEditorActivated);
             PreferencesUtil.setSortNamedAreasByOrderInVocabulary(isSortByVocabularyOrder);
             PreferencesUtil.setShowRankInChecklistEditor(isShowRank);
-            PreferencesUtil.setShowSymbolInChecklistEditor(isShowSymbol);
-            String displayString;
-            if (isShowIdInVocabulary){
-                displayString = IPreferenceKeys.CHECKLIST_AREA_DISPLAY_TITLE;
-            }else if (isShowSymbol1){
-                displayString = IPreferenceKeys.CHECKLIST_AREA_DISPLAY_SYMBOL1;
-            }else if (isShowSymbol2){
-                displayString = IPreferenceKeys.CHECKLIST_AREA_DISPLAY_SYMBOL2;
-            }else{
-                displayString = IPreferenceKeys.CHECKLIST_AREA_DISPLAY_TITLE;
-            }
-            PreferencesUtil.setShowIdInVocabularyInChecklistEditor(displayString);
+            PreferencesUtil.setDisplayStatusInChecklistEditor(displayStatus);
+            PreferencesUtil.setAreaDisplayInChecklistEditor(displayArea);
+
+
         }
         return true;
     }
 
+    /**
+     * {@inheritDoc}
+     */
+    @Override
+    public void widgetSelected(SelectionEvent e) {
+        if (e.getSource().equals(statusDisplaySelectionCombo)){
+            String text = statusDisplaySelectionCombo.getText();
+            for (TermDisplayEnum display: TermDisplayEnum.values()){
+                if (display.getLabel().equals(text)){
+                    displayStatus = display.getKey();
+                    break;
+                }
+            }
+        }
+        if (e.getSource().equals(areaDisplaySelectionCombo)){
+            String text = areaDisplaySelectionCombo.getText();
+            for (TermDisplayEnum display: TermDisplayEnum.values()){
+                if (display.getLabel().equals(text)){
+                    displayArea = display.getKey();
+                    break;
+                }
+            }
+        }
+
+    }
+
+    /**
+     * {@inheritDoc}
+     */
+    @Override
+    public void widgetDefaultSelected(SelectionEvent e) {
+        // TODO Auto-generated method stub
+
+    }
+
+    @Override
+    public void init() {
+        isAdminPreference = false;
+        setPreferenceStore(PreferencesUtil.getPreferenceStore());
+        distributionEditorPref = PreferencesUtil.getPreferenceFromDB(PreferencePredicate.DistributionEditorActivated);
+
+
+        if (distributionEditorPref != null){
+            isAllowOverride = distributionEditorPref.isAllowOverride();
+            if (isAllowOverride){
+                isEditorActivated = PreferencesUtil.getBooleanValue(IPreferenceKeys.DISTRIBUTION_AREA_PREFRENCES_ACTIVE);
+            }else{
+                isEditorActivated = Boolean.valueOf(distributionEditorPref.getValue());
+            }
+        }else{
+            isEditorActivated = PreferencesUtil.getBooleanValue(IPreferenceKeys.DISTRIBUTION_AREA_PREFRENCES_ACTIVE);
+            isAllowOverride = true;
+        }
+        CdmPreference prefStatus = PreferencesUtil.getPreferenceFromDB(PreferencePredicate.AvailableDistributionStatus);
+
+        allowOverrideStatus = prefStatus != null?prefStatus.isAllowOverride():false;
+
+        CdmPreference pref = PreferencesUtil.getPreferenceFromDB(EditorPreferencePredicate.DisplayOfAreasInDistributionEditor);
+        if (pref != null){
+            this.allowOverrideAreaDisplay = pref.isAllowOverride();
+            if (allowOverrideAreaDisplay){
+                displayArea = PreferencesUtil.getStringValue(IPreferenceKeys.CHECKLIST_AREA_DISPLAY);
+            }else{
+                displayArea = pref.getValue();
+            }
+        }else{
+            displayArea = PreferencesUtil.getStringValue(IPreferenceKeys.CHECKLIST_AREA_DISPLAY);
+            this.allowOverrideAreaDisplay = true;
+        }
+
+        pref = PreferencesUtil.getPreferenceFromDB(EditorPreferencePredicate.DisplayOfStatus);
+        if (pref != null){
+            this.allowOverrideStatusDisplay = pref.isAllowOverride();
+            if (allowOverrideStatusDisplay){
+                displayStatus = PreferencesUtil.displayStatusInChecklistEditor();
+            }else{
+                this.displayStatus = pref.getValue();
+            }
+        }else{
+            displayStatus = PreferencesUtil.displayStatusInChecklistEditor();
+            this.allowOverrideStatusDisplay = true;
+        }
+
+        pref = PreferencesUtil.getPreferenceFromDB(EditorPreferencePredicate.AreasSortedByIdInVocabulary);
+        if (pref != null){
+
+            this.allowOverrideOrderAreas = pref.isAllowOverride();
+            if (allowOverrideOrderAreas){
+                isSortByVocabularyOrder = PreferencesUtil.isSortNamedAreaByOrderInVocabulary();
+            }else{
+                this.isSortByVocabularyOrder = Boolean.valueOf(pref.getValue().toString());
+            }
+        }else{
+            isSortByVocabularyOrder = PreferencesUtil.isSortNamedAreaByOrderInVocabulary();
+            this.allowOverrideOrderAreas = true;
+        }
+
+        pref = PreferencesUtil.getPreferenceFromDB(EditorPreferencePredicate.ShowRankInDistributionEditor);
+        if (pref != null){
+
+            this.allowOverrideRank = pref.isAllowOverride();
+            if (allowOverrideRank){
+                isShowRank = PreferencesUtil.isShowRankInChecklistEditor();
+            }else{
+                this.isShowRank = Boolean.valueOf(pref.getValue().toString());
+            }
+        }else{
+            isShowRank = PreferencesUtil.isShowRankInChecklistEditor();
+            this.allowOverrideRank = true;
+        }
+
+
+
+        commandHandlerString = "eu.etaxonomy.taxeditor.store.open.OpenDistributionEditorWizardHandler";
+        commandHandlerStringStatus = "eu.etaxonomy.taxeditor.store.open.OpenDistributionStatusWizardHandler";
+
+    }
 }
